Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Class ConsolePlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              org.eclipse.ui.console.ConsolePlugin

All Implemented Interfaces:
  BundleActivator

public class ConsolePlugin
extends AbstractUIPlugin

The console plug-in class.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ConsolePlugin()`

Method Summary
`static void` | `errorDialog(Shell shell, String title, String message, Throwable t)` Utility method with conventions
`IConsoleManager` | `getConsoleManager()` Returns the console manager.
`static ConsolePlugin` | `getDefault()` Returns the singleton instance of the console plugin.
`static Display` | `getStandardDisplay()` Returns the standard display to be used.
`static String` | `getUniqueIdentifier()` Convenience method which returns the unique identifier of this plugin.
`static void` | `log(IStatus status)` Logs the specified status with this plug-in's log.
`static void` | `log(Throwable t)` Logs the specified throwable with this plug-in's log.
`static IStatus` | `newErrorStatus(String message, Throwable exception)` Returns a new error status for this plugin with the given message

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, start, startup, stop`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsolePlugin

    public ConsolePlugin()

Method Detail

### getDefault

    public static ConsolePlugin getDefault()

  Returns the singleton instance of the console plugin.

### getUniqueIdentifier

    public static String getUniqueIdentifier()

  Convenience method which returns the unique identifier of this plugin.

### log

    public static void log(IStatus status)

  Logs the specified status with this plug-in's log.

  Parameters:
    `status` - status to log

### log

    public static void log(Throwable t)

  Logs the specified throwable with this plug-in's log.

  Parameters:
    `t` - throwable to log

### newErrorStatus

    public static IStatus newErrorStatus(String message,
                                         Throwable exception)

  Returns a new error status for this plugin with the given message

  Parameters:
    `message` - the message to be included in the status
    `exception` - the exception to be included in the status or `null` if none
  Returns:
    a new error status

### getConsoleManager

    public IConsoleManager getConsoleManager()

  Returns the console manager. The manager will be created lazily on the first access.

  Returns:
    IConsoleManager

### getStandardDisplay

    public static Display getStandardDisplay()

  Returns the standard display to be used. The method first checks, if the thread calling this method has an associated display. If so, this display is returned. Otherwise the method returns the default display.

### errorDialog

    public static void errorDialog(Shell shell,
                                   String title,
                                   String message,
                                   Throwable t)

  Utility method with conventions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.